import { logger } from './core/logger'
import modules from './modules'

import * as mc from 'minecraft-protocol'
import Env from './core/Env'

export default () => {
    logger.warn('Cubbot start')
    const client = mc.createClient({
        host: Env.orFail('CORE_HOST'),
        password: Env.orFail('CORE_PASS'),
        username: Env.orFail('CORE_USER'),
    })

    client.on('connect', () => {
        logger.trace('connected')
    })
    client.on('disconnect', packet => {
        logger.info('disconnected', packet.reason)
    })
    client.on('login', () => {
        logger.trace('logged')
    })

    for (const module of modules) {
        module.mount(client)
    }
}